package com.bonus.canteen.core.allocation.canteen.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@TableName("alloc_area")
@ApiModel("区域表")
public class AllocArea {
   @TableId
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("区域id")
   private Long areaId;
   @ApiModelProperty("区域编号")
   private String areaNum;
   @ApiModelProperty("当前区域名称")
   private String areaName;
   @ApiModelProperty("一级区域名称")
   private String firstAreaName;
   @ApiModelProperty("二级区域名称")
   private String secondAreaName;
   @ApiModelProperty("三级区域名称")
   private String thirdAreaName;
   @ApiModelProperty("上级区域id")
   private Long superId;
   @ApiModelProperty("区域基因id")
   private String areaFullId;
   @ApiModelProperty("负责人")
   private String director;
   @ApiModelProperty("联系电话")
   private String contactTel;
   @ApiModelProperty("区域描述")
   private String areaDescribe;
   @ApiModelProperty("优先级排序")
   private Integer sortNo;
   @ApiModelProperty("是否删除")
   private Integer ifDel;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public AllocArea(Long areaId) {
      this.areaId = areaId;
   }

   public AllocArea(Long areaId, String areaName) {
      this.areaId = areaId;
      this.areaName = areaName;
   }

   public Long getId() {
      return this.id;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public String getAreaNum() {
      return this.areaNum;
   }

   public String getAreaName() {
      return this.areaName;
   }

   public String getFirstAreaName() {
      return this.firstAreaName;
   }

   public String getSecondAreaName() {
      return this.secondAreaName;
   }

   public String getThirdAreaName() {
      return this.thirdAreaName;
   }

   public Long getSuperId() {
      return this.superId;
   }

   public String getAreaFullId() {
      return this.areaFullId;
   }

   public String getDirector() {
      return this.director;
   }

   public String getContactTel() {
      return this.contactTel;
   }

   public String getAreaDescribe() {
      return this.areaDescribe;
   }

   public Integer getSortNo() {
      return this.sortNo;
   }

   public Integer getIfDel() {
      return this.ifDel;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setAreaNum(final String areaNum) {
      this.areaNum = areaNum;
   }

   public void setAreaName(final String areaName) {
      this.areaName = areaName;
   }

   public void setFirstAreaName(final String firstAreaName) {
      this.firstAreaName = firstAreaName;
   }

   public void setSecondAreaName(final String secondAreaName) {
      this.secondAreaName = secondAreaName;
   }

   public void setThirdAreaName(final String thirdAreaName) {
      this.thirdAreaName = thirdAreaName;
   }

   public void setSuperId(final Long superId) {
      this.superId = superId;
   }

   public void setAreaFullId(final String areaFullId) {
      this.areaFullId = areaFullId;
   }

   public void setDirector(final String director) {
      this.director = director;
   }

   public void setContactTel(final String contactTel) {
      this.contactTel = contactTel;
   }

   public void setAreaDescribe(final String areaDescribe) {
      this.areaDescribe = areaDescribe;
   }

   public void setSortNo(final Integer sortNo) {
      this.sortNo = sortNo;
   }

   public void setIfDel(final Integer ifDel) {
      this.ifDel = ifDel;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public AllocArea() {
   }
}
